summaryrefslogtreecommitdiffstats
path: root/test/integration/test-bug-598669-install-postfix-gets-exim-heavy
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/test-bug-598669-install-postfix-gets-exim-heavy')
-rwxr-xr-xtest/integration/test-bug-598669-install-postfix-gets-exim-heavy19
1 files changed, 19 insertions, 0 deletions
diff --git a/test/integration/test-bug-598669-install-postfix-gets-exim-heavy b/test/integration/test-bug-598669-install-postfix-gets-exim-heavy
new file mode 100755
index 0000000..e7e4093
--- /dev/null
+++ b/test/integration/test-bug-598669-install-postfix-gets-exim-heavy
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+TESTDIR="$(readlink -f "$(dirname "$0")")"
+. "$TESTDIR/framework"
+setupenvironment
+configarchitecture "i386"
+setupaptarchive
+
+testfailureequal "Reading package lists...
+Building dependency tree...
+The following packages will be REMOVED:
+ exim4 exim4-daemon-light
+The following NEW packages will be installed:
+ postfix
+0 upgraded, 1 newly installed, 2 to remove and 0 not upgraded.
+Need to get 0 B/1326 kB of archives.
+After this operation, 2236 kB of additional disk space will be used.
+E: Trivial Only specified but this is not a trivial operation." aptget install postfix --trivial-only